summaryrefslogtreecommitdiff
path: root/configure.sh
diff options
context:
space:
mode:
Diffstat (limited to 'configure.sh')
-rw-r--r--configure.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/configure.sh b/configure.sh
new file mode 100644
index 0000000..e441aa0
--- /dev/null
+++ b/configure.sh
@@ -0,0 +1,30 @@
+#!/bin/echo This is intended to be run from within scripts as this as .
+
+export CA="omgca"
+export EXPIRE="3650"
+export C="US"
+export ST="Oregon"
+export L="Portland"
+export O="Rayhawk Foundation For World Domination"
+export OU="Ministry of Propaganda"
+export CN="Joe Rayhawk"
+export E="jrayhawk+ssl@omgwallhack.org" # also used for From: and CC: in ./mailcert.sh usage
+
+export OPENSSL_CONFIG="openssl.cnf"
+
+export EMAIL_DEFAULT_DOMAIN="omgwallhack.org"
+
+if [ $SUPPLEMENTARY_CONFIG ]; then
+ if [ -e ./"$SUPPLEMENTARY_CONFIG" ]; then
+ . ./"$SUPPLEMENTARY_CONFIG" # dash is finnicky about how paths for sourcing work
+ elif [ -e /"$SUPPLEMENTARY_CONFIG" ]; then
+ . /"$SUPPLEMENTARY_CONFIG"
+ else
+ echo "$SUPPLEMENTARY_CONFIG" does not exist
+ exit 1
+ fi
+fi
+
+if [ -e ./local.cfg ]; then
+ . ./local.cfg # dash is finnicky about how paths for sourcing work
+fi